Subject: Re: user space virtio-net exits with "truncating packet" error

From: Rusty Russell <[email-masked]>
Date: Thu, 14 May 2009 21:28:57 +0930

On Thu, 14 May 2009 07:37:42 pm Or Gerlitz wrote:
> Hi,
>
> When running with jumbo frames (i.e set tap0 and guest nic mtu to 9k)
> and using 8k sized packets with iperf, the qemu process exits with
> "virtio-net truncating packet" which I see in the code of
> qemu/hw/virtio-net.c
>
> :: virtio_net_receive(). This happens only when the VM is receiving, if I
>
> send 8K packets from the VM things go fine.
>
> I use virtio based NIC in the VM and Linux 2.6.29.1 in both the VM and the
> host. Qemu is the one provided by kvm release 84 - whose sources don't
> point me to a specific git tree nor a maintainer, so I hope you can help
> me...

Maintainer Cc'd.  The answer is that virtio_net by default only supports 1500 
MTU; I've not tried larger MTUs.

Rusty.